<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Errores</title>
  </head>
  <body>
    <h1>Manejor de errores</h1>
    <script>
      //try {
      //console.log("Primer mensaje");
      //let a = 5;
      //console.log("Mensaje antes de que explote!");
      //console.log(a + b);
      //console.log("Mensaje antes de que explote!");
      //} catch (error) {
      //console.log("Error capturado" + error);
      //}

      function sumar() {
        let x = -6;
        let y = -13;
        let suma, resultado;

        //Ejemplo solo con if

        //if (x >= 0 && y >= 0) {
        //console.log("Los números son positivos y se haría la suma");
        //suma = x + y;
        //console.log(suma);
        //} else {
        //console.log("Imposible hacer la suma");
        //}

        // Ejemplo con try catch
        try {
          console.log("En bloque try");
          if (x >= 0 && y >= 0) {
            console.log("Los números son positivos y se haría la suma");
            suma = x + y;
            console.log(suma);
          } else {
            throw new Error(
              "Imposible hacer la suma. Solo los números positivos"
            );
          }
        } catch (error) {
          console.log("Alerta! " + error);
        }
      }

      sumar();
    </script>
  </body>
</html>
